
import java.awt.*;
import javax.swing.*;
import javax.media.opengl.*;

/**
 * A Jogl/OpenGL application that just draws a triangle.  It demonstrates
 * the use of a GLJPanel and GLEventListener and can be used as an outline
 * of a Jogl program.
 */
public class BasicJoglApp2D extends JPanel implements GLEventListener {

   public static void main(String[] args) {
      JFrame window = new JFrame("Basic JOGL App 2D");
      window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      window.setContentPane(new BasicJoglApp2D());
      window.pack();
      window.setVisible(true);
   }
   
   /**
    * Make a regular JPanel to hold the GLJPanel (although in this
    * program, that's all it holds.
    */
   public BasicJoglApp2D() {
      GLJPanel drawable = new GLJPanel();
      drawable.setPreferredSize(new Dimension(600,600));
      drawable.addGLEventListener(this);
      setLayout(new BorderLayout());
      add(drawable, BorderLayout.CENTER);
   }

   /**
    * This method will be called when the GLJPanel is first
    * created.  It can be used to initialize the GL context.
    */
   public void init(GLAutoDrawable drawable) {
   }

   /**
    * This method is called when the GLJPanel needs to be drawn.
    * With no changes to the coordinate system, x-values range
    * from -1 on the left to 1 on the right and y-values from
    * -1 at the bottom to 1 at the top.
    */
   public void display(GLAutoDrawable drawable) {
      GL gl = drawable.getGL();
      gl.glClear(GL.GL_COLOR_BUFFER_BIT);
      gl.glBegin(GL.GL_POLYGON);
      gl.glVertex2f(-0.5f,-0.3f);
      gl.glVertex2f(0.5f,-0.3f);
      gl.glVertex2f(0,0.6f);
      gl.glEnd();
   }

   /**
    * This method is called when the size of the GLJPanel changes.  It can be
    * used to respond to that change.  Note that the OpenGL viewport has
    * already been set to the full area  before this method is called.
    */
   public void reshape(GLAutoDrawable drawable, int x, int y, int width, int height) {
   }

   /**
    * This method is never called.  It is part of the GLEventListener but was
    * never implemented, and it will be removed in Jogl 2.0.
    */
   public void displayChanged(GLAutoDrawable drawable, boolean modeChanged,
         boolean deviceChanged) {
   }
}
