import glutil.Cube;
import glutil.UVCone;
import glutil.UVCylinder;
import glutil.UVSphere;

import java.awt.Color;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JApplet;
import javax.swing.JPanel;

/**
 *  An applet that just shows a panel containing 6 panels of type TextureDemo,
 *  showing six objects with various textures. The user can rotation the individual
 *  object.
 *  
 *  Note that this applet cannot simply be placed on a web page in the
 *  usual way, since it requires special support for OpenGL.
 */
public class TextureDemoApplet extends JApplet {
   
   public void init() {
      JPanel content = new JPanel();
      setContentPane(content);
      content.setLayout(new GridLayout(2,3,3,3));
      content.setBackground(Color.LIGHT_GRAY);
      content.setBorder(BorderFactory.createLineBorder(Color.LIGHT_GRAY, 3));
      content.add( new TextureDemo(new UVSphere(1, 40, 20), "textures/Earth-1024x512.jpg", 0) );
      content.add( new TextureDemo(new UVSphere(1, 40, 20), "textures/NightEarth-512x256.jpg", 0) );
      content.add( new TextureDemo(new UVCylinder(0.75,2,20,10), "textures/Earth-1024x512.jpg", -1) );
      content.add( new TextureDemo(new Cube(1.6), "textures/brick001.jpg", 0) );
      content.add( new TextureDemo(new Cube(1.6), "textures/NightEarth-512x256.jpg", 0) );
      content.add( new TextureDemo(new UVCone(0.85,2,20,10), "textures/metal003.gif", -0.75) );
   }

}
