#!/bin/bash

# This bash shell script will run a Jogl/OpenGL program that uses
# Jogl version 1, on a Mac OS or Linux computer -- as long as 
# JOGL_LIB_DIR is set correctly.  Examples of using the script, 
# assuming that it is in the same directory as the class that you 
# want to run:
#
#   ./gljava-mac.sh MainClass
#   ./gljava-mac.sh packagename.MainClass

# SET JOGL_LIB_DIR TO BE THE FULL PATH TO THE "lib" DIRECTORY
# IN THE JOGL 1.1.1 DOWNLOAD.

JOGL_LIB_DIR="/Users/eck/jogl-1.1.1-macosx-universal/lib"

JOGL_JAR_FILES="$JOGL_LIB_DIR/jogl.jar:$JOGL_LIB_DIR/gluegen-rt.jar"

# LIBRAY_PATH has to be set for Linux/Unix, while DYLD_LIBRARY_PATH
# has to be set for Mac OS.  It should not be a problem to set both
# of them here.

export DYLD_LIBRARY_PATH="$JOGL_LIB_DIR"
export LIBRARY_PATH="$JOGL_LIB_DIR"

java -cp $JOGL_JAR_FILES:. $@


