#!/bin/bash

# This bash shell script will compile Java files that use Jogl
# version 1, on a Mac OS or Linux computer -- as long as JOGL_LIB_DIR 
# is set correctly.  Examples of using the script, assuming that
# it is in the same directory as the class that you want to run:
#
#   ./gljavac.sh MainClass.java
#   ./gljavac.sh packagename/*.java
#   ./gljavac.sh `find . -name "*.java"`
#
# The last command will compile all java files in the current
# directory and in sub-directories of that directory.  (It uses
# backquotes, not regular single quotes, around the find command.)

# SET JOGL_LIB_DIR TO BE THE FULL PATH TO THE "lib" DIRECTORY
# IN THE JOGL 1.1.1 DOWNLOAD.

JOGL_LIB_DIR="/Users/eck/jogl-1.1.1-macosx-universal/lib"

JOGL_JAR_FILES="$JOGL_LIB_DIR/jogl.jar:$JOGL_LIB_DIR/gluegen-rt.jar"

javac -cp $JOGL_JAR_FILES:. $@


