package scenegraph2D;

import java.util.ArrayList;

import javax.media.opengl.GL;

/**
 * A SceneNode2D that representing a complex object consisting of a list
 * of sub-objects that are themselves scene nodes.
 */
public class ComplexObject2D extends SceneNode2D {
   
   private ArrayList<SceneNode2D> subObjects = new ArrayList<SceneNode2D>();

   protected void drawBasic(GL gl) {
      for (SceneNode2D item: subObjects) {
         item.draw(gl);
      }
   }
   
   /**
    * Add a sub-object to this complex object.
    */
   public void add(SceneNode2D item) {
      subObjects.add(item);
   }
      
}
