package scenegraph2D;

import javax.media.opengl.GL;

/**
 * A SceneNode2D representing a line.
 */
public class LineNode extends SceneNode2D {
   
   private double x1, x2, y1, y2;
   private int width;
   
   /**
    * Make a line of length 1, from (0,0) to (1,0).
    */
   public LineNode() {
      this(0,0,1,0);
   }
   
   /**
    * Make a line from (x1,y1) to (x2,y2).
    */
   public LineNode(double x1, double y1, double x2, double y2) {
      this.x1 = x1;
      this.x2 = x2;
      this.y1 = y1;
      this.y2 = y2;
   }
   
   /**
    * Set the width, in pixels, of this line.  The width must
    * be positive to have any effect.
    */
   public void setWidth(int width) {
      this.width = width;
   }

   protected void drawBasic(GL gl) {
      if (width > 1)
         gl.glLineWidth(width);
      gl.glBegin(GL.GL_LINES);
      gl.glVertex2d(x1,y1);
      gl.glVertex2d(x2,y2);
      gl.glEnd();
      if (width > 1)
         gl.glLineWidth(1);
   }

}
