package scenegraph2D;

import javax.media.opengl.GL;

/**
 * A SceneNode2D representing a polygon.  The vertices are set
 * in the constructor and can't be changed later.
 */
public class PolygonNode extends SceneNode2D {
   
   private double[] coords;
   
   /**
    * Coordinates specifies the vertices of the polygon.  Note that
    * the polygon must be convex.
    * @param coords  An array containing the coordinates of the vertices.
    * Each pair of items in the array specifies one point.  That is, 
    * the vertices are (coords[0],coords[1]), (coords[2],coords[3]), ...
    */
   public PolygonNode(double[] coords) {
      this.coords = coords.clone();
   }
   
   protected void drawBasic(GL gl) {
      gl.glBegin(GL.GL_POLYGON);
      for (int i = 0; i < coords.length; i = i+2)
         gl.glVertex2d(coords[i],coords[i+1]);
      gl.glEnd();
   }

}
