package simplescenegraph3d;

import javax.media.opengl.GL;

import glutil.Renderable;

/**
 * Represents a leaf node in a simplescenegraph3d holding a single
 * object that implements the Renderable interface.
 */
public class RenderableNode extends SceneNode3D {
   
   private final Renderable object;
   
   public RenderableNode(Renderable object) {
      if (object == null)
         throw new IllegalArgumentException("Object can't be null.");
      this.object = object;
   }
   
   protected void drawBasic(GL gl) {
      object.render(gl);
   }

}
